package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Irt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface IrtMapper {

    int insert(Irt record);

    int insertSelective(Irt record);

    int updateByPrimaryKeySelective(Irt record);

    int updateByPrimaryKey(Irt record);

    int deleteByPrimaryKey(Irt record);

    int deleteByIds(Collection<Object> collection);

    Irt selectByPrimaryKey(Irt record);

    Irt selectByCodAndCur(String cod, String cur, String etgextkey);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Irt> dyncRead(Map<String, Object> dyncMap);

}